Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreWorkflowManager

    java.lang.Object
      oracle.ifs.fdk.impl.WorkflowManagerImpl
          oracle.ifs.fdk.core.CoreWorkflowManager

All Implemented Interfaces:
  java.rmi.Remote, WorkflowManager

    public class CoreWorkflowManager

extends WorkflowManagerImpl

Implementation of the WorkflowManager interface.

See Also:
  `WorkflowManager`

Constructor Summary
`CoreWorkflowManager()` Constructor required for in-process clients.
`CoreWorkflowManager(FdkSession session)` Constructor required for web services.

Method Summary
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`Item` | `getRequestForWorkflowProcess(long workflowPid, AttributeRequest[] attrs)` Returns a Request corresponding to a given WorkflowProcess id.
`Item` | `getWorkflowConfiguration(long id, java.lang.String operation, boolean direct, AttributeRequest[] attrs)` Returns the WorkflowConfiguration of the specified type that is associated with the given item ID, or null if no WorkflowConfiguration of the specified type exists for the given item ID.
`Item[]` | `getWorkflowConfigurations(long id, AttributeRequest[] attrs)` Returns every WorkflowConfiguration that is associated directly with the given Item ID, or null if no WorkflowConfigurations exist directly on the given Item ID.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`Item[]` | `listCustomWorkflows(NamedValue[] options, AttributeRequest[] attributes)` Returns all Custom Workflow instances that have been registered.
`Item[]` | `listWorkflows(AttributeRequest[] attributes)` Returns all Workflow instances that have been registered.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`void` | `removeWorkflowConfiguration(long id, java.lang.String operation)` Removes a `WORKFLOW_CONFIGURATION` Item of the specified type from the specified `FOLDER` Item.
`void` | `setWorkflowConfiguration(long id, java.lang.String operation, NamedValue[] config)` Sets a `WORKFLOW_CONFIGURATION` for a `FOLDER` Item, replacing any existing `WORKFLOW_CONFIGURATION` of the same operation type (`Attributes.WORKFLOW_CONFIGURATION_OPERATION`).
`java.lang.String` | `validateWorkflowParameterValue(long workflowId, java.lang.String paramName, java.lang.String value)` Validates that the `value` for the parameter `name` is correct according to the validator defined for that parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreWorkflowManager

    public CoreWorkflowManager(FdkSession session)

  Constructor required for web services.

### CoreWorkflowManager

    public CoreWorkflowManager()

  Constructor required for in-process clients.

Method Detail

### listWorkflows

    public Item[] listWorkflows(AttributeRequest[] attributes)
                         throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns all Workflow instances that have been registered.

  Parameters:
    `attributes` - the requested attributes.
  Returns:
    an array of Workflow items.
  Throws:
    `FdkException` - if the operation fails.

### listCustomWorkflows

    public Item[] listCustomWorkflows(NamedValue[] options,
                                      AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns all Custom Workflow instances that have been registered.

  Parameters:
    `options` - the options for listing.(currently not used).
    `attributes` - the requested attributes.
  Returns:
    an array of Workflow items.
  Throws:
    `FdkException` - if the operation fails.

### setWorkflowConfiguration

    public void setWorkflowConfiguration(long id,
                                         java.lang.String operation,
                                         NamedValue[] config)
                                  throws FdkException

  Description copied from interface: `WorkflowManager`
  Sets a `WORKFLOW_CONFIGURATION` for a `FOLDER` Item, replacing any existing `WORKFLOW_CONFIGURATION` of the same operation type (`Attributes.WORKFLOW_CONFIGURATION_OPERATION`).

  Parameters:
    `id` - The ID of the `FOLDER` Item on which to set the `WORKFLOW_CONFIGURATION`.
    `operation` - The type of `WORKFLOW_CONFIGURATION` to set (use one of the values of `Attributes.WORKFLOW_OPERATIONS`).
    `config` - The attributes of the WorkflowConfiguration:
    `
    - notation: {Attribute name, Attribute type}
    - {Attributes.WORKFLOW_CONFIGURATION_WORKFLOW, Long}
    - {Attributes.WORKFLOW_CONFIGURATION_RESPONDERS, long[]}
    - {Attributes.WORKFLOW_CONFIGURATION_RESPONDERS_BYPASS, Boolean}
    - {Attributes.CONFIGURATION_FINAL, Boolean}
    - {Attributes.CONFIGURATION_ENABLED, Boolean}
    - {Attributes.WORKFLOW_CONFIGURATION_PARAMETERS, NamedValueSet[]} - where each element is a NamedValue[] with the following attributes:
      - {Attributes.WORKFLOW_PARAMETER_NAME, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_DEFAULT_VALUE, String}
      - {Attributes.WORKFLOW_PARAMETER_REQUIRED, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_PROMPTED, Boolean}
      - {Attributes.WORKFLOW_PARAMETER_HIDDEN, Boolean}
    `
  Throws:
    `FdkException` - if the operation fails.

### removeWorkflowConfiguration

    public void removeWorkflowConfiguration(long id,
                                            java.lang.String operation)
                                     throws FdkException

  Description copied from interface: `WorkflowManager`
  Removes a `WORKFLOW_CONFIGURATION` Item of the specified type from the specified `FOLDER` Item.

  Parameters:
    `id` - The ID of the `FOLDER` Item from which to remove the `WORKFLOW_CONFIGURATION` Item.
    `operation` - The type of `WORKFLOW_CONFIGURATION` to remove; use the value of `Attributes.WORKFLOW_CONFIGURATION_OPERATION` for a specific `WORKFLOW_CONFIGURATION` Item to remove, or use any of the values of `Attributes.WORKFLOW_OPERATIONS`.
  Throws:
    `FdkException` - if the operation fails.

### getWorkflowConfigurations

    public Item[] getWorkflowConfigurations(long id,
                                            AttributeRequest[] attrs)
                                     throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns every WorkflowConfiguration that is associated directly with the given Item ID, or null if no WorkflowConfigurations exist directly on the given Item ID.

  Parameters:
    `id` - ID of the Item from which to retrieve WorkflowConfiguration instances.
    `attrs` - the requested attributes
  Throws:
    `FdkException` - if the operation fails.

### getWorkflowConfiguration

    public Item getWorkflowConfiguration(long id,
                                         java.lang.String operation,
                                         boolean direct,
                                         AttributeRequest[] attrs)
                                  throws FdkException

  Description copied from interface: `WorkflowManager`
  Returns the WorkflowConfiguration of the specified type that is associated with the given item ID, or null if no WorkflowConfiguration of the specified type exists for the given item ID.

  Parameters:
    `id` - ID of the Item from which to retrieve the WorkflowConfiguration of the specified type.
    `operation` - the operation to configure (the type of WorkflowConfiguration) (see `Attributes.WORKFLOW_CONFIGURATION_OPERATION` and `Attributes.WORKFLOW_OPERATIONS`).
    `direct` - whether to only retrieve the WorkflowConfiguration of the specified type directly from the given Item ID; if false and the given Item ID does not have a direct WorkflowConfiguration of the specified type, then this method retrieves the WorkflowConfiguration from the closest parent of the Item ID that does have one.
    `attrs` - the requested attributes (see `getWorkflowConfigurations`).
  Throws:
    `FdkException` - if the operation fails.

### validateWorkflowParameterValue

    public java.lang.String validateWorkflowParameterValue(long workflowId,
                                                           java.lang.String paramName,
                                                           java.lang.String value)
                                                    throws FdkException

  Description copied from interface: `WorkflowManager`
  Validates that the `value` for the parameter `name` is correct according to the validator defined for that parameter.

  Parameters:
    `workflowId` - ID of the Workflow on which the parameter is defined.
    `paramName` - name of the workflow parameter.
    `value` - value to verify.
  Returns:
    the normalized value (which may be simply the input value provided).
  Throws:
    `FdkException` - if the operation fails, or if the validation fails.

### getRequestForWorkflowProcess

    public Item getRequestForWorkflowProcess(long workflowPid,
                                             AttributeRequest[] attrs)
                                      throws FdkException

  Description copied from class: `CoreWorkflowManager`
  Returns a Request corresponding to a given WorkflowProcess id.

  Parameters:
    `workflowPid` - ID of the workflow process.
  Returns:
    The Request corresponding to workflow processid.
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD